simple_grouped_listview 2.0.0 copy "simple_grouped_listview: ^2.0.0" to clipboard
simple_grouped_listview: ^2.0.0 copied to clipboard

A package to display a grouped list of items. Provide a List, a grouper, and let it display it as a ListView, a GridView or anything else. Grouped by headers.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add simple_grouped_listview

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  simple_grouped_listview: ^2.0.0

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:simple_grouped_listview/simple_grouped_listview.dart';
20
likes
130
pub points
86%
popularity

Publisher

verified publisherquentin.klein.onl

A package to display a grouped list of items. Provide a List, a grouper, and let it display it as a ListView, a GridView or anything else. Grouped by headers.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

collection, flutter

More

Packages that depend on simple_grouped_listview